Subject: Re: Help me buy my PVR !!!
From: [email-masked]
To: Multiple recipients of list <[email-masked]>
Date: Sat, 9 Dec 1995 08:00:55 -0500

Hello Lightwavers,
I purchased my PVR for $1595 and the daughter card for $859 dollars from Safe
Harbor in Waukesha Wisconson (to order call 800-544-6599 Mon-Fri 9-6,Sat 9-5
CST). When I ordered mine they didn't have them in stock, but it only took
about two weeks  before I received everything. Of course they will not charge
your credit card until they ship. They also sell the Micropolis 3242AV 4.3GB
hard drive for $1389! You can see their ad in the January 1996 Digital Video
magazine. I don't work for them , I'm just a satisfied customer. BTW it was
very easy to install on my computer once I purchased a PCI extender from DPS
for $97 incl. shipping so the cards could clear the pentium cooling fan. They
were very friendly and knowledgable.
See ya,
Lorenzo
LVH Productions